FROM amazoncorretto:17-alpine3.16-jdk

RUN apk update
RUN apk add --update python3 py3-pip python3-dev build-base
RUN pip3 install awscli --upgrade
RUN pip3 install aws-sam-cli --upgrade
RUN apk add docker 
RUN apk add --update nodejs npm
RUN apk add gradle
RUN pip install aws-ssm-tools

RUN set -o errexit -o nounset \
    && echo "Verificando instalacion" \
    && java --version \
    && sam --version \
    && aws --version \
    && docker --version \
    && node --version \
    && npm -v \
    && gradle -v

